#!/usr/libexec/platform-python
# -*- coding: UTF-8 -*-

import gi
from gi.repository import GObject as gobject
from threading import Thread
import os
import sys
import string
import time

from checkupdate import *

class UpdateThread(Thread, gobject.GObject):
    __gsignals__ = {
        'finished': (gobject.SIGNAL_RUN_LAST, gobject.TYPE_NONE, (gobject.TYPE_BOOLEAN, ))
    }
    def __init__(self, name=None):
        Thread.__init__(self, name=name)
        gobject.GObject.__init__(self)
        self.data = None
    def run(self):
        print ("thread ready, name: %s" % self.name)
        result = False
        if self.name == 'UPDATE':
            pfd = update()
            if pfd == None:
                result = True
        elif self.name == 'UPDATE_LIST':
            updates = update_info()
            self.data = updates
            result = True
        elif self.name == 'NEW_VERSION':
            self.data = get_os_version()
            result = True
        elif self.name == 'IS_AUTOMATIC':
            self.data = is_automatic()
            result = True
        self.emit('finished', result)
